import 'package:hive/hive.dart';

abstract class HiveDBInterface {
  Future<Box<T>> hiveBox<T>(String boxName);
  Future<Map<int, T>> getAll<T>(String boxName);
  Future<Map<int, T?>> get<T>(String boxName, int key);
  Future<void> insert<T>(String boxName, T data);
  Future<void> insertAll<T>(String boxName, List<T> data);
  Future<void> upsert<T>(String boxName, int key, T data);
  Future<void> delete<T>(String boxName, int key);
  Future<void> deleteKeys<T>(String boxName, List<int> keys);
  Future<void> deleteAll<T>(String boxName);
}
