import 'package:dio/dio.dart';
import 'package:get/get.dart';
import 'package:rdc_flutter_sdk_2/src/constants/app_constants.dart';
import 'package:rdc_flutter_sdk_2/src/controllers/rabbit_config_controller.dart';
import 'package:rdc_flutter_sdk_2/src/network/api_handle.dart';

class ApiConnector {
  final RabbitConfigController config = Get.find(tag: 'rdc_flutter_sdk_2');
  final dio = Dio();

  Future<ApiConnector> init() async {
    dio.options.baseUrl = baseURL;
    dio.options.connectTimeout =
        const Duration(seconds: timeoutSec).inMilliseconds;
    dio.options.receiveTimeout =
        const Duration(seconds: timeoutSec).inMilliseconds;
    dio.options.headers = {
      'X-Api-Key': config.apiKey,
      'Content-Type': 'application/json'
    };

    return this;
  }

  Future<bool> post(String url, dynamic data) async {
    var response = await dio.post(url, data: data);
    return ApiHandle.response(response.statusCode ?? 0);
  }
}
